# $Id: perl-Lingua-EN-Syllable.spec 3132 2005-04-16 08:57:36Z dries $
# Authority: dries
# Upstream: Greg Fast <gdf$speakeasy,net>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Lingua-EN-Syllable

Summary: Routine for estimating syllable count in words
Name: perl-Lingua-EN-Syllable
Version: 0.251
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Lingua-EN-Syllable/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/G/GR/GREGFAST/Lingua-EN-Syllable-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

%description
Lingua::EN::Syllable provides one subroutine, syllable(), which
estimates the number of syllables in the word passed to it.  It
guesses correctly about 80-90% of the time, but it's smaller and
faster than a dictionary lookup.  So you can't really use it for
writing random haiku, but you can do things like estimate reading
grade level.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Lingua/EN/Syllable.pm

%changelog
* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.251-1 - 3132/dries
- Initial package.
